The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Edit Threat Feed - Device Assignments

Prev Next

This URL saves Sensor device assignments for a threat feed.

Resource URL

POST /threatfeedintelligence/{domainId}/saveDeviceAssignments/{threatFeedId}

Important

To successfully assign devices using this API, ensure the following policy prerequisites are met based on the IOC types enabled in the feed. An error message is displayed in the response if the required policies are not assigned.

  • If the File Hash IOC type is selected, an Advanced Malware policy must be configured assigned to the required Sensor.

  • If the URL or Domain IOC type is selected, an inspection option policy must be configured and assigned to the Sensor.

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domainId

Domain Id

Number

Yes

threatFeedId

Threat feed Id

Number

Yes

Payload Parameters:

Field Name

Description

Data Type

Mandatory

selectedDevices

List of devices to assign to the threat feed

Array

Yes

Details of selectedDevices:

Field Name

Description

Data Type

Mandatory

sensorId

Unique identifier for the Sensor

Number

Yes

sensorName

Name of the Sensor

String

Yes

ownerDomain

Domain ID that owns the Sensor

Number

Yes

Response Parameters

The following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

success

Success status (true or false)

Boolean

msg

Message

String

errMsg

Error message

String

data

Data

String

errorCode

Error code

Number

Example

Request

POST https://<Manager_IP>/sdkapi/threatfeedintelligence/101/saveDeviceAssignments/10

Payload

{
    "selectedDevices": [
        {
            "sensorId": 1002,
            "sensorName": "NS9600",
            "ownerDomain": 0
        }
    ]
}

Response

{
    "success": true,
    "msg": null,
    "errMsg": null,
    "data": null,
    "errorCode": 0
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues